<?php
include( '../inc/db.inc.php' );

function zufallspender(){
  global $db; 
  $sql = "select spender,spende from zeigeallespenden ORDER BY RAND() LIMIT 1";
  $ergebnis = $db->query( $sql );
  if (mysqli_num_rows($ergebnis) == 1)
	{
		$datensatz = $ergebnis->fetch_array(MYSQLI_BOTH);
    //
    return "".$datensatz['spender']."<br><p class=\"normalezeilenhoehe\">".$datensatz['spende']."</p>";
  }else{
    return "fehler";
  }
  $ergebnis->free();
  
}

function top($was){
  global $db; 
  switch($was){
    case 0:
      $sql = "select topteamsultra from stand";
    break;
    case 1:
      $sql = "select topteamsmaxi from stand";
    break;
    case 2:
      $sql = "select topteamsspende from stand";
    break;
    case 3:
      $sql = "select toplaeufer from stand";
    break;
    case 4:
      $sql = "select topezlaeufer from stand";
    break;
  }
  
  $ergebnis = $db->query( $sql );
  if (mysqli_num_rows($ergebnis) == 1)
	{
		$datensatz = $ergebnis->fetch_array(MYSQLI_BOTH);
    //
    return str_replace("\n", "<br>", trim($datensatz[0]));
  }else{
    return "fehler";
  }
  $ergebnis->free();
  
}

function vsb(){
  global $db; 
  $sql = "select vsb from stand";
  $ergebnis = $db->query( $sql );
  if (mysqli_num_rows($ergebnis) == 1)
	{
		$datensatz = $ergebnis->fetch_array(MYSQLI_BOTH);
    //
    return number_format($datensatz[0], 2, ',', '.')." €";
  }else{
    return "fehler";
  }
  $ergebnis->free();
  
}

function InfoLinks(){
  global $db; 
  $sql = "select gesamtrunden, (gesamtrunden*(select streckenlaenge from optionen where nr=1)) as gesamtstrecke from stand";
  $ergebnis = $db->query( $sql );
  if (mysqli_num_rows($ergebnis) == 1)
	{
		$datensatz = $ergebnis->fetch_array(MYSQLI_BOTH);
    //
    return number_format($datensatz[0], 0, ',', '.')."<p class=\"aggs\">".number_format($datensatz[1], 2, ',', '.')."km</p>";
  }else{
    return "fehler";
  }
  $ergebnis->free();
  
}

function InfoRechts(){
  global $db; 
  $sql = "select count(nr),sum(anzahllaeufer) from teams where name not like ('StL%')";
  $ergebnis = $db->query( $sql );
  if (mysqli_num_rows($ergebnis) == 1)
	{
		$datensatz = $ergebnis->fetch_array(MYSQLI_BOTH);
    //
    return $datensatz[0]."<br>".$datensatz[1];
  }else{
    return "fehler";
  }
  $ergebnis->free();
  
}

function StL(){
  global $db;
  $std=nextstunde();
  $std = (int)$std;
  if(date('i')>=55){
    $was=1;
    $sql = "select startnr,CONCAT(vorname,'' '',nachname) as name from stllaeufer where stunde = ".$std;
  }else{
    $was=0;
    $sql = "select startnr,CONCAT(vorname,'' '',nachname) as name from stllaeufer where stunde = ".($std-1);
  }
  if (!$ergebnis = $db->query( $sql )) {
    return $db->error;
  }
  if(mysqli_num_rows($ergebnis)){
    $ret = "";
    while ($line = mysqli_fetch_array($ergebnis)) { 
      $ret .= htmlentities($line['startnr']."->".$line['name'])."<br>";
		}
    return $was.$ret;
  }else{
    return "0keine";
  }
  $ergebnis->free();
  
}

function startnr($nr){
  $nr = preg_replace('![^0-9]!', '', $nr); 
  $laeuferNr = unserialize(file_get_contents("../wertung/laeufernachNr.dat"));
  if(($nr>0)&&(array_key_exists($nr, $laeuferNr))){
    $felder = explode(";", $laeuferNr[$nr][1]);
    $ret = "<table width=100%><tr><th align=center colspan=2>".$felder[0]."</th></tr>\n";
    $ret .= "<tr><td align=right width=40%>Team:&nbsp;</td><th align=left>".$laeuferNr[$nr]["team"]."</th></tr>\n";
    $ret .= "<tr><td align=right>Name:&nbsp;</td><th align=left>".$felder[1]."</th></tr>\n";
    $ret .= "<tr><td align=right>gelaufene Runden:&nbsp;</td><th align=left>".$felder[2]."</th></tr>\n";
    $ret .= "<tr><td align=right>Etappen:&nbsp;</td><th align=left>".$felder[3]."</th></tr>\n";
    $ret .= "<tr><td align=right>schnellste:&nbsp;</td><th align=left>".$felder[4]."</th></tr>\n";
    $ret .= "<tr><td align=right>durchschnitt:&nbsp;</td><th align=left>".$felder[5]."</th></tr>\n";
    $ret .= "<tr><td align=right>langsamste:&nbsp;</td><th align=left>".$felder[6]."</th></tr>\n";
    $ret .= "<tr><td align=right>gesamt:&nbsp;</td><th align=left>".$felder[7]."</th></tr></table>\n";
  }else{
    $ret = "";
  }
  
  return $ret;
  //print_r($laeuferTeam);
}

function teams(){
  $nr=1;
  $zz = 0;
  $klasse = "ultra";
  $letzteklasse="";
  $ret = "<table class=\"teams\">";
  $ret .= "<tr><th class=\"teams\">Team</th><th class=\"teams\">Anzahl der Runden</th><th class=\"teams\">Rundenzeit</th>\n";
  $teams = unserialize(file_get_contents("../wertung/teams.dat"));  
  //$teams = @file_get_contents("team.dat");
  foreach ($teams as $zeile){
    $letzteklasse = $klasse;
    $zz = ($zz==1) ? 0 : 1;
    $felder = explode(";", $zeile);
    if($felder[3]==1){
      if(strpos($felder[1],"StL")===0){
        $klasse = "stl";
      }else{
        $klasse = "el";
      }
    }else if($felder[3]<11){
      $klasse = "ultra";
      if(strpos($felder[1],"StL")===0){
        $klasse = "stlteam";
      }
    }else{
      $klasse = "maxi";
       if(strpos($felder[1],"StL")===0){
        $klasse = "stlteam";
      }
    }
    if($letzteklasse == $klasse){
      if($zz==1){
        $klasse.="zz";
      }
    }else{
      $zz = 0;
    }
    $ret .= "<tr><td onclick=\"zeigeTeam(".$nr.")\" class=\"".$klasse."\">".$felder[1]."</td><td class=\"".$klasse."\">".$felder[0]."</td><td class=\"".$klasse."\">".$felder[2]."</td></tr>\n";
    $nr++;
  }
  $ret .= "</table>\n";

  return $ret;
}

function laeufer(){
  $ret = "";
  $laeuferNr = unserialize(file_get_contents("../wertung/laeufernachNr.dat"));  
  $zz = 0;
  $anzahl=0;
  $klasse = "laeufer";
  $ret = "<table class=\"laeufer\">\n";
  $ret .= "<tr><th class=\"laeufer\">Name</th><th class=\"laeufer\">Team</th><th class=\"laeufer\">Startnr</th><th class=\"laeufer\">Runden</th><th class=\"laeufer\">Etappen</th><th class=\"laeufer\">schnellste</th><th class=\"laeufer\">durchschnitt</th><th class=\"laeufer\">langsamste</th>\n"; 
  foreach ($laeuferNr as $zeile){
    $anzahl++;
    $letzteklasse = $klasse;
    $zz = ($zz==1) ? 0 : 1;
    $felder = explode(";", $zeile[1]);
    if($zz==1){
      $klasse = "laeuferzz";
    }else{
      $klasse = "laeufer";
    }
    $ret .= "<tr><td class=\"".$klasse."\">".$felder[1]."</td><td class=\"team".$klasse."\">".$zeile["team"]."</td><td class=\"".$klasse."\">".$felder[0]."</td><td class=\"".$klasse."\">".$felder[2]."</td><td class=\"".$klasse."\">".$felder[3]."</td><td class=\"zeit".$klasse."\">".$felder[4]."</td><td class=\"zeit".$klasse."\">".$felder[5]."</td><td class=\"zeit".$klasse."\">".$felder[6]."</td></tr>\n";
  }
  $ret .= "</table>\n";

  return $ret;
}

switch($_REQUEST['was']){
  case "zufallspender":
    echo zufallspender();
  break;
  case "top":
    echo top($_REQUEST['nr']);
  break;
  case "vsb":
    echo vsb();
  break;
  case "InfoLinks":
    echo InfoLinks();
  break;
  case "InfoRechts":
    echo InfoRechts();
  break;
  case "StL":
    echo StL();
  break;
  case "startnr":
    echo startnr($_REQUEST['nr']);
  break;
  case "teams":
    echo teams();
  break;
  case "laeufer":
    echo laeufer();
  break;
  default:
    echo "kenn ich net";
  break;
}

?>