<?php
include( '/inc/config.inc.php' );

function holezeiten($startnr,$name){
  $stop = 0;
  $rundenZeiten = unserialize(file_get_contents("daten/RundenZeiten1.dat"));
  if(!$rundenZeiten){
    return "<p class=\"red\">die Rundenzeiten stehen zur Zeit leider nicht zur Verfügung!</p>";
  }
  $rz = $rundenZeiten[$startnr][0];
  $felder = explode("@", $rz);
  foreach($felder as $feld) {
    if($feld!="0:00:00"){  
      $zeiten[] = $feld;
    }else{
      $stop = 1;
      break;
    }
  }
  if($stop == 0){
    $rundenZeiten = unserialize(file_get_contents("daten/RundenZeiten2.dat"));
    if(!$rundenZeiten){
      return "<p class=\"red\">die Rundenzeiten stehen zur Zeit leider nicht zur Verfügung!</p>";
    }
    $rz = $rundenZeiten[$startnr][0];
    $felder = explode("@", $rz);
    foreach($felder as $feld) {
      if($feld!="0:00:00"){  
        $zeiten[] = $feld;
      }else{
        $stop = 1;
        break;
      }
    }
  }
  if($stop == 0){
    $rundenZeiten = unserialize(file_get_contents("daten/RundenZeiten3.dat"));
    if(!$rundenZeiten){
      return "<p class=\"red\">die Rundenzeiten stehen zur Zeit leider nicht zur Verfügung!</p>";
    }
    $rz = $rundenZeiten[$startnr][0];
    $felder = explode("@", $rz);
    foreach($felder as $feld) {
      if($feld!="0:00:00"){  
        $zeiten[] = $feld;
      }else{
        $stop = 1;
        break;
      }
    }
  }
  if($stop == 0){
    $rundenZeiten = unserialize(file_get_contents("daten/RundenZeiten4.dat"));
    if(!$rundenZeiten){
      return "<p class=\"red\">die Rundenzeiten stehen zur Zeit leider nicht zur Verfügung!</p>";
    }
    $rz = $rundenZeiten[$startnr][0];
    $felder = explode("@", $rz);
    foreach($felder as $feld) {
      if($feld!="0:00:00"){  
        $zeiten[] = $feld;
      }else{
        $stop = 1;
        break;
      }
    }
  }
        

  
  
  //print_r($zeiten);
  $ret = "Rundenzeiten ".$name." (".$startnr.") <br><p class=\"info\">die Rundenzeiten werden nur aus den eigene Messungen ermittelt, Team Messungen werden nicht berücksichtigt!</p>";
  $ret .= "<table class=\"zeiten\"><tr><th class=\"zeit\">Runde 01-10</th>";
  $anz=-1;
  $rundenpaare=0;
  $zz=0;
  foreach ($zeiten as $zeile){
    $anz++;
    if($anz==10){
      $rundenpaare +=10;
      $ret .= "</tr><tr><th class=\"zeit\">Runde ".($rundenpaare+1)."-".($rundenpaare+10)."</th>";
      $anz=0;
    }
    $zz = ($zz==1) ? 0 : 1;
    if($zz){
      $ret .= "<td class=\"zeit\">".$zeile."</td>";
    }else{
      $ret .= "<td class=\"zeitzz\">".$zeile."</td>";
    }
  }
  $ret .= "</tr><table><br><br>";
  return $ret;
}


function teams(){
  $nr=1;
  $zz = 0;
  $klasse = "ultra";
  $letzteklasse="";
  $ret = "<p class=\"info\">klicke auf den Teamnamen um die Läufer zusehen</p><table class=\"teams\">\n";
  $ret .= "<tr><th class=\"teams\">Team</th><th class=\"teams\">Anzahl der Runden</th><th class=\"teams\">Rundenzeit</th>\n";
  $teams = unserialize(file_get_contents("daten/teams.dat"));  
  //$teams = @file_get_contents("team.dat");
  foreach ($teams as $zeile){
    $letzteklasse = $klasse;
    $zz = ($zz==1) ? 0 : 1;
    $felder = explode(";", $zeile);
    if($felder[3]==1){
      if(strpos($felder[1],"StL")===0){
        $klasse = "stl";
      }else{
        $klasse = "el";
      }
    }else if($felder[3]<11){
      $klasse = "ultra";
      if(strpos($felder[1],"StL")===0){
        $klasse = "stlteam";
      }
    }else{
      $klasse = "maxi";
       if(strpos($felder[1],"StL")===0){
        $klasse = "stlteam";
      }
    }
    if($letzteklasse == $klasse){
      if($zz==1){
        $klasse.="zz";
      }
    }else{
      $zz = 0;
    }
    $ret .= "<tr><td onclick=\"zeigeTeam(".$nr.")\" class=\"".$klasse."\">".$felder[1]."</td><td class=\"".$klasse."\">".$felder[0]."</td><td class=\"".$klasse."\">".$felder[2]."</td></tr>\n";
    $nr++;
  }
  $ret .= "</table>\n";

  return $ret;
}

function filter_by_value ($array, $index, $value){
  $newarray=array();
  if(is_array($array) && count($array)>0) {
    foreach(array_keys($array) as $key){
      $temp[$key] = $array[$key][$index];
      if ($temp[$key] == $value){
        $newarray[$key] = $array[$key];
      }
    }
  }
  return $newarray;
} 

function team($nr){
  $laeuferTeam = unserialize(file_get_contents("daten/laeufernachTeams.dat"));
  $team = filter_by_value($laeuferTeam,"teamnr",$nr);   
  $klasse = "laeufer";
  $zz=0;
  $ret = "<div id=\"anzzeiten\"><button onclick=\"versteckeANZZEITEN()\" type=\"button\" class=\"zeigezeiten\">schliessen</button><div id=\"anzstnr\">rundenzeiten</div></div><p class=\"info\">klicke auf die Startnummer um die Rundenzeiten zusehen</p><table class=\"laeufer\">\n";
  $ret .= "<tr><th class=\"laeufer\">Name</th><th class=\"laeufer\">Startnr</th><th class=\"laeufer\">Runden</th><th class=\"laeufer\">Etappen</th><th class=\"laeufer\">schnellste</th><th class=\"laeufer\">durchschnitt</th><th class=\"laeufer\">langsamste</th>\n"; 
  foreach ($team as $zeile){
    $teamname=$zeile["team"];
    $teamnr=$zeile["teamnr"];
    $letzteklasse = $klasse;
    $zz = ($zz==1) ? 0 : 1;
    $felder = explode(";", $zeile[1]);
    if($zz==1){
      $klasse = "laeuferzz";
    }else{
      $klasse = "laeufer";
    }
    $ret .= "<tr><td class=\"".$klasse."\">".$felder[1]."</td><td class=\"".$klasse."\" onclick=\"zeigeZeiteninEW(".$felder[0].",'".$felder[1]."')\">".$felder[0]."</td><td class=\"".$klasse."\">".$felder[2]."</td><td class=\"".$klasse."\">".$felder[3]."</td><td class=\"zeit".$klasse."\">".$felder[4]."</td><td class=\"zeit".$klasse."\">".$felder[5]."</td><td class=\"zeit".$klasse."\">".$felder[6]."</td></tr>\n";
  }
  $ret .= "</table>\n";
  $ret = "<h1 onclick=\"zeigeTeam(".$teamnr.")\">".$teamname."</h1>".$ret;
  return $ret;
  //print_r($laeuferTeam);
}

function laeufer($tab){
  $ret = "";
  $laeuferNr = unserialize(file_get_contents("daten/laeufernachNr.dat"));  
  $zz = 0;
  $klasse = "laeufer";
  $ret = "<div id=\"anzzeiten\"><button onclick=\"versteckeANZZEITEN()\" type=\"button\" class=\"zeigezeiten\">schliessen</button><div id=\"anzstnr\">rundenzeiten</div></div><p class=\"info\">klicke auf die Startnummer um die Rundenzeiten zusehen</p><table class=\"laeufer\">\n";
  $ret .= "<tr><th class=\"laeufer\">Name</th><th class=\"laeufer\">Team</th><th class=\"laeufer\">Startnr</th><th class=\"laeufer\">Runden</th><th class=\"laeufer\">Etappen</th><th class=\"laeufer\">schnellste</th><th class=\"laeufer\">durchschnitt</th><th class=\"laeufer\">langsamste</th>\n"; 
  $tabnr = $tab*50;
  $anz = 0;
  foreach(array_slice($laeuferNr, $tabnr) as $zeile) {
    $letzteklasse = $klasse;
    $zz = ($zz==1) ? 0 : 1;
    $felder = explode(";", $zeile[1]);
    if($zz==1){
      $klasse = "laeuferzz";
    }else{
      $klasse = "laeufer";
    }
    $ret .= "<tr><td class=\"".$klasse."\">".$felder[1]."</td><td class=\"team".$klasse."\">".$zeile["team"]."</td><td class=\"".$klasse."\" onclick=\"zeigeZeiteninEW(".$felder[0].",'".$felder[1]."')\">".$felder[0]."</td><td class=\"".$klasse."\">".$felder[2]."</td><td class=\"".$klasse."\">".$felder[3]."</td><td class=\"zeit".$klasse."\">".$felder[4]."</td><td class=\"zeit".$klasse."\">".$felder[5]."</td><td class=\"zeit".$klasse."\">".$felder[6]."</td></tr>\n";
    $anz++;
    if($anz==50){
      $zuviele="ja";
      break;
      
    }
  }
  $ret .= "</table>\n";
  if($tab > 0){
    $ret .= "<button onclick=\"zeigeLaeufer(".($tab-1).")\" type=\"button\" class=\"zeigezeiten\"><<</button>&nbsp;";
  }
  if(isset($zuviele)){
    $ret .= "<button onclick=\"zeigeLaeufer(".($tab+1).")\" type=\"button\" class=\"zeigezeiten\">>></button>";
  }
  $ret .= "\n";
  return $ret;
}

function startnr($nr){
  $nr = preg_replace('![^0-9]!', '', $nr); 
  $laeuferNr = unserialize(file_get_contents("daten/laeufernachNr.dat"));
  if(($nr>0)&&(array_key_exists($nr, $laeuferNr))){
    $felder = explode(";", $laeuferNr[$nr][1]);
    $ret = "<table width=90%><tr><td align=right>Startnummer:&nbsp;</td><th align=left>".$felder[0]."</th></tr>\n";
    $ret .= "<tr><td align=right width=50%>Team:&nbsp;</td><th align=left>".$laeuferNr[$nr]["team"]."</th></tr>\n";
    $ret .= "<tr><td align=right>Name:&nbsp;</td><th align=left>".$felder[1]."</th></tr>\n";
    $ret .= "<tr><td align=right>gelaufene Runden:&nbsp;</td><th align=left>".$felder[2]."</th></tr>\n";
    $ret .= "<tr><td align=right>Etappen:&nbsp;</td><th align=left>".$felder[3]."</th></tr>\n";
    $ret .= "<tr><td align=right>schnellste:&nbsp;</td><th align=left>".$felder[4]."</th></tr>\n";
    $ret .= "<tr><td align=right>durchschnitt:&nbsp;</td><th align=left>".$felder[5]."</th></tr>\n";
    $ret .= "<tr><td align=right>langsamste:&nbsp;</td><th align=left>".$felder[6]."</th></tr>\n";
    $ret .= "<tr><td align=right>gesamt:&nbsp;</td><th align=left>".$felder[7]."</th></tr></table>\n";
    $ret .= "<button onclick=\"zeigeZeiten(".$felder[0].",'".$felder[1]."')\" type=\"button\" class=\"zeigezeiten\">Rundenzeiten</button>";
  }else{
    $ret = "keine Daten gefunden";
  }
  
  return $ret;
  //print_r($laeuferTeam);
}


switch($_REQUEST['was']){
  case "teams":
    echo teams();
  break;
  case "laeufer":
    echo laeufer($_REQUEST['tab']);
  break;
  case "team":
    echo team($_REQUEST['nr']);
  break;
  case "startnr":
    if(isset($_REQUEST['nr'])){
      $nr=$_REQUEST['nr'];
    }else{
      $nr=0;
    }
    echo startnr($nr);
  break;
  case "holezeiten":
    echo holezeiten($_REQUEST['nr'],$_REQUEST['name']);
  break;
}

?>